JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.assistant.conversations.history({
sessionId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
});
console.log(response.messages);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.assistant.conversations.history(
session_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.messages)curl --request GET \
--url https://api.mobilerun.ai/v1/assistant/chat/messages \
--header 'Authorization: Bearer <token>'
{
"messages": [
{
"id": "<string>",
"parts": [
{
"type": "<string>"
}
],
"role": "user",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"feedback": true,
"metadata": {
"agent": "<string>",
"agentMessageId": "<string>",
"agentSessionId": "<string>",
"turnAnchorMessageId": "<string>"
},
"source": "cloud",
"synthetic": true,
"userId": "<string>"
}
],
"turnActive": true,
"truncated": true
}{
"message": "<string>"
}Chat
List messages for a chat session
Return the user’s chat history for the given session. History remains readable after the session is no longer active.
GET
/
assistant
/
chat
/
messages
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.assistant.conversations.history({
sessionId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
});
console.log(response.messages);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.assistant.conversations.history(
session_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.messages)Was this page helpful?
⌘I